# nvme-list-ctrl(1) Manual Page

## NAME

nvme-list-ctrl - Send NVMe Identify List Controllers, return result and structure

## SYNOPSIS

    nvme list-ctrl <device> [--cntid=<cntid> | -c <cntid>]
                            [--namespace-id=<nsid> | -n <nsid>]
                            [--output-format=<fmt> | -o <fmt>] [--verbose | -v]

## DESCRIPTION

For the NVMe device given, sends an identify command for controller list and provides the result and returned structure. This uses either mode 12h or 13h depending on the requested namespace identifier.

The <device> parameter is mandatory and may be either the NVMe character device (ex: /dev/nvme0), or a namespace block device (ex: /dev/nvme0n1). The starting controller in the list always begins with 0 unless the `'--cntid'` option is given to override.

On success, the controller array is printed for each index and controller identifier.

## OPTIONS

-c <cntid>
--cntid=<cntid>

  Retrieve the identify list structure starting with the given controller id.

-n <nsid>
--namespace-id=<nsid>

  If provided, will request the controllers attached to the specified namespace. If no namespace is given, or set to 0, the command requests the controller list for the entire subsystem, whether or not they are attached to namespace(s).

-o <fmt>
--output-format=<fmt>

  Set the reporting format to normal, json or binary. Only one output format can be used at a time.

-v
--verbose

  Increase the information detail in the output.

## EXAMPLES

No examples yet.

## NVME

Part of the nvme-user suite